<?php

$loader = $this->registry->get('load');
$loader->controller('common/nav');

class ControllerSpecific4861CommonNav extends ControllerCommonNav
{
  protected function index()
  {

    parent::index();


    $language = $this->language->load('specific/'.PREFIX_NAME.'/common/nav');
    $this->data = array_merge($this->data, $language);


    if (isset($this->request->get['route'])) {
      $route = $this->request->get['route'];
      switch (explode('/', $route)[0]) {
        case 'specific':
          $this->data['current_page'] = explode('/', $route)[0];
          $this->data['current_subpage'] = explode('/', $route)[3];
          break;
      }
    }

    if ($this->user->isLogged()){

      $this->data['material'] = $this->url->link('specific/'.PREFIX_NAME.'/module/material', 'token=' . $this->session->data['token'], 'SSL');

    }


    $this->render('common/nav');

  }


}
